| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CommonBitfield Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CommonBitfield defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CommonBitfield ()
| Default constructor.
eProsima_user_DllExport | ~CommonBitfield ()
| Default destructor.
eProsima_user_DllExport | CommonBitfield (const CommonBitfield &x)
| Copy constructor.
eProsima_user_DllExport | CommonBitfield (CommonBitfield &&x) noexcept
| Move constructor.
eProsima_user_DllExport CommonBitfield & | operator= (const CommonBitfield &x)
| Copy assignment.
eProsima_user_DllExport CommonBitfield & | operator= (CommonBitfield &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CommonBitfield &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CommonBitfield &x) const
| Comparison operator.
eProsima_user_DllExport void | position (uint16_t _position)
| This function sets a value in member position.
eProsima_user_DllExport uint16_t | position () const
| This function returns the value of member position.
eProsima_user_DllExport uint16_t & | position ()
| This function returns a reference to member position.
eProsima_user_DllExport void | flags (const BitsetMemberFlag &_flags)
| This function copies the value in member flags.
eProsima_user_DllExport void | flags (BitsetMemberFlag &&_flags)
| This function moves the value in member flags.
eProsima_user_DllExport const BitsetMemberFlag & | flags () const
| This function returns a constant reference to member flags.
eProsima_user_DllExport BitsetMemberFlag & | flags ()
| This function returns a reference to member flags.
eProsima_user_DllExport void | bitcount (uint8_t _bitcount)
| This function sets a value in member bitcount.
eProsima_user_DllExport uint8_t | bitcount () const
| This function returns the value of member bitcount.
eProsima_user_DllExport uint8_t & | bitcount ()
| This function returns a reference to member bitcount.
eProsima_user_DllExport void | holder_type (TypeKind _holder_type)
| This function sets a value in member holder_type.
eProsima_user_DllExport TypeKind | holder_type () const
| This function returns the value of member holder_type.
eProsima_user_DllExport TypeKind & | holder_type ()
| This function returns a reference to member holder_type.

## Detailed Description

This class represents the structure CommonBitfield defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CommonBitfield() [1/3]

eProsima_user_DllExport CommonBitfield | ( |  | ) |

inline

Default constructor.

## ◆ ~CommonBitfield()

eProsima_user_DllExport ~CommonBitfield | ( |  | ) |

inline

Default destructor.

## ◆ CommonBitfield() [2/3]

eProsima_user_DllExport CommonBitfield | ( | const CommonBitfield & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CommonBitfield that will be copied.

## ◆ CommonBitfield() [3/3]

eProsima_user_DllExport CommonBitfield | ( | CommonBitfield && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CommonBitfield that will be copied.

## Member Function Documentation

## ◆ bitcount() [1/3]

eProsima_user_DllExport uint8_t & bitcount | ( |  | ) |

inline

This function returns a reference to member bitcount.

Returns
  Reference to member bitcount

## ◆ bitcount() [2/3]

eProsima_user_DllExport uint8_t bitcount | ( |  | ) | const

inline

This function returns the value of member bitcount.

Returns
  Value of member bitcount

## ◆ bitcount() [3/3]

eProsima_user_DllExport void bitcount | ( | uint8_t | _bitcount | ) |

inline

This function sets a value in member bitcount.

Parameters

  _bitcount | New value for member bitcount

## ◆ flags() [1/4]

eProsima_user_DllExport BitsetMemberFlag & flags | ( |  | ) |

inline

This function returns a reference to member flags.

Returns
  Reference to member flags

## ◆ flags() [2/4]

eProsima_user_DllExport const BitsetMemberFlag & flags | ( |  | ) | const

inline

This function returns a constant reference to member flags.

Returns
  Constant reference to member flags

## ◆ flags() [3/4]

eProsima_user_DllExport void flags | ( | BitsetMemberFlag && | _flags | ) |

inline

This function moves the value in member flags.

Parameters

  _flags | New value to be moved in member flags

## ◆ flags() [4/4]

eProsima_user_DllExport void flags | ( | const BitsetMemberFlag & | _flags | ) |

inline

This function copies the value in member flags.

Parameters

  _flags | New value to be copied in member flags

## ◆ holder_type() [1/3]

eProsima_user_DllExport TypeKind & holder_type | ( |  | ) |

inline

This function returns a reference to member holder_type.

Returns
  Reference to member holder_type

## ◆ holder_type() [2/3]

eProsima_user_DllExport TypeKind holder_type | ( |  | ) | const

inline

This function returns the value of member holder_type.

Returns
  Value of member holder_type

## ◆ holder_type() [3/3]

eProsima_user_DllExport void holder_type | ( | TypeKind | _holder_type | ) |

inline

This function sets a value in member holder_type.

Parameters

  _holder_type | New value for member holder_type

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CommonBitfield & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonBitfield object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CommonBitfield & operator= | ( | CommonBitfield && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CommonBitfield that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CommonBitfield & operator= | ( | const CommonBitfield & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CommonBitfield that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CommonBitfield & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonBitfield object to compare.

## ◆ position() [1/3]

eProsima_user_DllExport uint16_t & position | ( |  | ) |

inline

This function returns a reference to member position.

Returns
  Reference to member position

## ◆ position() [2/3]

eProsima_user_DllExport uint16_t position | ( |  | ) | const

inline

This function returns the value of member position.

Returns
  Value of member position

## ◆ position() [3/3]

eProsima_user_DllExport void position | ( | uint16_t | _position | ) |

inline

This function sets a value in member position.

Parameters

  _position | New value for member position

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp